<html ng-app="blipApp">

<head>
    <title>Led Matrix</title>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.8/angular.min.js"></script>
    <script src="./web-bluetooth-demo.js"></script>
    <style>
        .circle {
            width: 35px;
            height: 35px;
            margin: 4px;
            background: gray;
            border-radius: 50%;
            /* border-right: 1px solid white; */
            /* float: left; */
        }

        .box {
            background: black;
        }

        .color {
            width: 40px;
            height: 40px;
            background: black;
            margin: 3px;
            border: 1px solid gray;
        }

        .lift {
            box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            ;
        }

        .green {
            background: green;
        }

        .red {
            background: red;
        }

        .yellow {
            background: yellow;
        }

        .blue {
            background: blue;
        }

        .cyan {
            background: cyan;
        }

        .magenta {
            background: magenta;
        }

        .white {
            background: white;
        }

        .border {
            border-right: 1px solid gray;
            border-bottom: 1px solid gray;
        }
    </style>
</head>

<body ng-controller="ledMatrixController" ng-mouseup="mouseUp()">
    <button id="connect">Connect</button>
    <button id="send">Send</button>
    <button id="clear">Clear</button>

    <div style="margin: 0 auto; text-align: -webkit-center;">
        <div style="margin: 0 auto;     text-align: -webkit-center;">

            <table>
                <tbody>
                    <tr class="box" style="display: flex;" ng-repeat="items in arr" ng-init="parentIndex = $index">
                        <td class="border" ng-repeat="item in items" ng-init="childIndex = $index">
                            <!-- {{$index}} -->
                            <div class="circle" ng-class="item.color" ng-mousedown="mouseDown(parentIndex,childIndex)"
                                ng-mouseup="mouseUp()" ng-mouseover="mouseOver(parentIndex,childIndex)" ng-click="fillColor(parentIndex,childIndex)">

                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>

        </div>
        <div style="margin: 20 auto;     text-align: -webkit-center;">
            <table>
                <tbody>
                    <tr style="display: flex;">
                        <td class="color off" ng-class="selectedColor == 'off'? 'lift' : ''" ng-click="selectColor('off')"></td>
                        <td class="color green" ng-class="selectedColor == 'green'? 'lift' : ''" ng-click="selectColor('green')"></td>
                        <td class="color red" ng-class="selectedColor == 'red'? 'lift' : ''" ng-click="selectColor('red')"></td>
                        <td class="color yellow" ng-class="selectedColor == 'yellow'? 'lift' : ''" ng-click="selectColor('yellow')"></td>
                        <td class="color blue" ng-class="selectedColor == 'blue'? 'lift' : ''" ng-click="selectColor('blue')"></td>
                        <td class="color cyan" ng-class="selectedColor == 'cyan'? 'lift' : ''" ng-click="selectColor('cyan')"></td>
                        <td class="color magenta" ng-class="selectedColor == 'magenta'? 'lift' : ''" ng-click="selectColor('magenta')"></td>
                        <td class="color white" ng-class="selectedColor == 'white'? 'lift' : ''" ng-click="selectColor('white')"></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

</body>

</html>